Packages - Privacy Issue #3297

[netsurf] latest libre builds contains nonfree search engine
2022-06-21 03:19 AM - telur

Status: info needed % Done: 0%
Priority: bug

Assignee:

Category:

Description

libre/netsurf 3.10-3.parabolal [installed]
Lightweight and fast web browser, without non-privacy remote services

slaps google search right in main homepage and contains other nonprivacy search engine too.
maybe the libre patch is outdated and doesn't work anymore. please investigate.

History

#1 - 2022-12-19 11:15 AM - wael

The code itself is free-software, if there is enough interest it might make sense to consider a special package in nonprism.

#2 - 2022-12-21 07:19 PM - bill-auger

- Status changed from unconfirmed to info needed

indeed, we like to be clear that libre and privacy concerns are very different, and handled differently - eg: [libre] is mandatory - [nonprism] is optional
probably, the patches need re-working; but regardless, there may be some housekeeping in order - the blacklist entry is missing a BR reference; but it

appears that the package is in libre only for privacy reasons - it probably should have been in nonprism all along - i suppose that this ticket could be
the BR reference; and we can try to get this properly documented

$ grep netsurf blacklist.txt
netsurf:netsurf:::[uses-nonfree] has non-privacy search engines
